Page MenuHomePhabricator

Add a link to the Code of Conduct to the footer of Gerrit
Closed, ResolvedPublic

Description

Like Phabricator, there should be a footer link to the CoC in Gerrit: https://www.mediawiki.org/wiki/Special:MyLanguage/Code_of_Conduct

Details

Related Gerrit Patches:

Event Timeline

greg created this task.Jun 10 2018, 7:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2018, 7:05 AM
greg moved this task from Bugs & stuff to Local hacks on the Gerrit board.Jun 10 2018, 7:05 AM
greg added a subscriber: Paladox.

@Paladox can you help outline what's needed here?

Legoktm updated the task description. (Show Details)Jun 10 2018, 7:12 AM

Yep I can, just need to find the config that does the footer.

Change 439483 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] Gerrit: Add CoC and privacy policy to footer

https://gerrit.wikimedia.org/r/439483

^^ that does it for gwtui only for now, need to figure out how to do it for PolyGerrit.

This is what it looks like in gwtui:

Is it not possible to have it in the same "Powered by Gerrit..." line?

apparently upstream hacked there deployed prod version (i coulden't find a hook to hook into).

I am guessing they possibly used js or modified there version.

the same applys to polymer.

Change 439503 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/software/gerrit@deploy/wmf/stable-2.15] Rename wikimedia-polygerrit-style.html to gerrit-theme.html and also add footer links

https://gerrit.wikimedia.org/r/439503

Change 439504 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] Rename wikimedia-polygerrit-style.html to gerrit-theme.html

https://gerrit.wikimedia.org/r/439504

this is what the polygerrit change looks like

@Legoktm actually i can do what i did for polygerrit using javascript!

greg added a comment.Jun 10 2018, 8:44 PM

@Legoktm actually i can do what i did for polygerrit using javascript!

inb4: "if i don't have JS enabled am I bound by the CoC?" :P

hmm, gerrit should not even load if you have javascript disabled :).

Expecially for polygerrit which is built manly around javascript and html.

@greg just tested and gerrit gwtui throws

"Gerrit requires a JavaScript enabled browser.".

and polygerrit has a whitescreen.

Apparently in gwtui it loads the js file to early to be able to find the dom like polygerrit, anyways we are switching polygerrit to be the default ui for new users (and existing users that have not switched to the new ui and back to the old one thus having a ui cookie) see T196812 (next monday).

Vvjjkkii renamed this task from Add a link to the Code of Conduct to the footer of Gerrit to obbaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from obbaaaaaaa to Add a link to the Code of Conduct to the footer of Gerrit.Jul 2 2018, 2:58 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
greg triaged this task as Medium priority.Aug 8 2018, 5:46 PM

Let's get these patches merged. Even with the double footer bars I think they are just fine. Thanks for your work here @Paladox

greg raised the priority of this task from Medium to High.Sep 4 2018, 9:35 PM

We need this out sooner than later.

Change 458523 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] Replace "wikimedia-polygerrit-style" plugin with gerrit-theme

https://gerrit.wikimedia.org/r/458523

Change 439503 abandoned by Paladox:
Add gerrit-theme.html and also add footer links

Reason:
per ^^

https://gerrit.wikimedia.org/r/439503

Change 439504 abandoned by Paladox:
Link to gerrit-theme.html in scap repo

https://gerrit.wikimedia.org/r/439504

Change 458833 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] Gerrit: Add footer link for CoC and Privacy Policy

https://gerrit.wikimedia.org/r/458833

Change 460914 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/puppet@production] Gerrit: Add CoC and Privacy Policy to old UI

https://gerrit.wikimedia.org/r/460914

Change 458523 merged by Giuseppe Lavagetto:
[operations/puppet@production] Replace "wikimedia-polygerrit-style" plugin with gerrit-theme

https://gerrit.wikimedia.org/r/458523

Change 458833 merged by Giuseppe Lavagetto:
[operations/puppet@production] Gerrit: Add footer link for CoC and Privacy Policy

https://gerrit.wikimedia.org/r/458833

Change 460914 merged by Giuseppe Lavagetto:
[operations/puppet@production] Gerrit: Add CoC and Privacy Policy to old UI

https://gerrit.wikimedia.org/r/460914

Change 462770 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/puppet@production] Revert "Gerrit: Add missing resource /var/lib/gerrit2/review_site"

https://gerrit.wikimedia.org/r/462770

Change 462770 merged by Dzahn:
[operations/puppet@production] Revert "Gerrit: Add missing resource /var/lib/gerrit2/review_site"

https://gerrit.wikimedia.org/r/462770

Paladox closed this task as Resolved.Oct 3 2018, 7:07 PM

The footer works both in GWTUI and polygerrit now! (showing the privacy notice and CoC)

Change 439483 abandoned by Paladox:
Gerrit: Add CoC and privacy policy to footer

https://gerrit.wikimedia.org/r/439483